Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Mon, 18 Sep 2023 19:42:30 +0200

On 23-09-18 19:03 , Eli Zaretskii wrote:
>> Date: Mon, 18 Sep 2023 17:25:20 +0200
>> From: Gerd Möllmann <[email-masked]>
>> Cc: [email-masked], [email-masked]
>>
>> On 23-09-18 17:18 , Gerd Möllmann wrote:
>>> On 23-09-18 17:09 , Eli Zaretskii wrote:
>>>>> From: Gerd Möllmann <[email-masked]> Cc:
>>>>> [email-masked],  [email-masked] Date: Mon, 18 Sep
>>>>> 2023 16:56:55 +0200
>>>>>
>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>>
>>>>>> Any idea why a call to 'documentation' loads loaddefs?  Did you
>>>>>> indeed "hack the Emacs you were running"?
>>>>>
>>>>> No idea, and I didn't hack it at all.  This was a minute after I
>>>>> started a newly-build Emacs, wondered why a C-c C-k binding didn't
>>>>> work.  I then pressed C-c alone to see what it is bound to, with
>>>>> which-key.
>>>>
>>>> So I think this now becomes the main question.  If this is not a
>>>> bug, i.e. if loaddefs can legitimately be loaded mid-session, we
>>>> cannot autoload key bindings, at least not naïvely as we do now.
>>>
>>> Another observation: when I start emacs from its source directory
>>> master/src, and not as bundle, i.e. by® clicking on Emacs.app in the
>>> dock, this doesn't happen.
>>>
>>> One difference in the two scenarios is that Emacs.app contains gzip'd el
>>> files.
>>
>> ~/emacs/master/ > ls -l
>> /Applications/Emacs.app/Contents/Resources/lisp/loaddefs.el*
>> -rw-r--r--  1 gerd  admin   377687 Sep 17 16:36
>> /Applications/Emacs.app/Contents/Resources/lisp/loaddefs.el.gz
>> -rw-r--r--  1 gerd  admin  1467107 Sep 17 16:38
>> /Applications/Emacs.app/Contents/Resource
> 
> Is your Emacs compiled with zlib?
> 
>> Note the timestamps.  Is that good or bad?

I think so.  config.log:

configure:25922: checking for library containing inflateEnd
configure:25972: result: -lz